name='obsidian'
version=1.0.0
release=1
desc='A powerful knowledge base that works on top of a local folder of plain text Markdown files'
homepage='https://obsidian.md/'
architectures=('x86_64')
license=('custom:Commercial')
provides=('obsidian')
conflicts=('obsidian')

deps_redos=('zlib' 'hicolor-icon-theme' 'fuse3')

sources_x86_64=("https://github.com/obsidianmd/obsidian-releases/releases/download/v${version}/obsidian-${version}.tar.gz")

package() {
  # binaries
  install -Dm755 "./obsidian" "${pkgdir}/usr/bin/obsidian"
  
  # desctop file
  install -Dm644 "./obsidian.desktop" ${pkgdir}/usr/share/applications/
  install -Dm644 icon.png "${pkgdir}/usr/share/pixmaps/obsidian.png

  cd "${name}-${version}"/resources/
    install -dm0755 "$pkgdir"/usr/lib/obsidian
    find . -type d -exec install -d {,"$pkgdir"/usr/lib/obsidian/}{} \;
    find . -type f -exec install -D {,"$pkgdir\"/usr/lib/obsidian/}{} \;
}
